Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class DefaultStyledDocument.SectionElement

    java.lang.Object
      |
      +--javax.swing.text.AbstractDocument.AbstractElement
            |
            +--javax.swing.text.AbstractDocument.BranchElement
                  |
                  +--javax.swing.text.DefaultStyledDocument.SectionElement

All Implemented Interfaces:
  AttributeSet, Element, MutableAttributeSet, Serializable, TreeNode

Enclosing class:
  DefaultStyledDocument

protected class DefaultStyledDocument.SectionElement
extends AbstractDocument.BranchElement

Default root element for a document... maps out the paragraphs/lines contained.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.text.AttributeSet
`AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

Fields inherited from interface javax.swing.text.AttributeSet
`NameAttribute, ResolveAttribute`

Constructor Summary
`DefaultStyledDocument.SectionElement()` Creates a new SectionElement.

Method Summary
`String` | `getName()` Gets the name of the element.

Methods inherited from class javax.swing.text.AbstractDocument.BranchElement
`children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, positionToElement, replace, toString`

Methods inherited from class javax.swing.text.AbstractDocument.AbstractElement
`addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, finalize, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, getResolveParent, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultStyledDocument.SectionElement

    public DefaultStyledDocument.SectionElement()

  Creates a new SectionElement.

Method Detail

### getName

    public String getName()

  Gets the name of the element.
  Overrides:
    `getName` in class `AbstractDocument.BranchElement`
  Returns:
    the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.